# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXSetMeshOffsets

Function

Sets the offset of a partition within the original Field after partitioning.

Syntax
`
#include <dx/dx.h>
`

MeshArray DXSetMeshOffsets(MeshArray a, int *offsets)

Functional Details

In the case where a Mesh Array is used to define a regular grid of connections that is a part of a partitioned Field, it is useful to know the offset of the partition within the original Field. This routine sets the offset values to `offsets` along each dimension of the mesh `a`. For `DXSetMeshOffsets`, the parameter is a pointer to an Array of integers, one for each dimension of the mesh, specifying the offset along that dimension of this partition within the original Field. `DXSetMeshOffsets` should be called by the partitioning process.

Return Value

Returns `a` or returns `NULL` and sets an error code.

See Also

`DXGetMeshArrayInfo, DXGetPathOffset, DXNewMeshArray, DXNewMeshArrayV`

"Mesh Arrays".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]